Bug 680420 - xml-commons-apis.jar dependency
Summary: xml-commons-apis.jar dependency
Keywords:
Status: MODIFIED
Alias: None
Product: Dogtag Certificate System
Classification: Retired
Component: Installer (pkicreate/pkiremove)
Version: 9.0
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: ---
Assignee: John Dennis
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks: dogtagIPAv2 681367
TreeView+ depends on / blocked
 
Reported: 2011-02-25 13:50 UTC by John Dennis
Modified: 2015-01-05 00:24 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 681367 (view as bug list)
Environment:
Last Closed:


Attachments (Terms of Use)
provide xml-commons-apis.jar to webapp classloader (2.64 KB, patch)
2011-02-25 13:55 UTC, John Dennis
awnuk: review+
Details | Diff

Description John Dennis 2011-02-25 13:50:46 UTC
Fedora 15 has brought to light a new jar dependency. We use xerces-j2 for xml parsing. xerces-j2 has a dependency on xml-commons-apis.jar which we had not previously been making available to the webapp class loader.

We had not detected a need for xml-commons-apis because we had not seen any NoClassDefFound errors related to it. The xerces project does not document their jar dependencies but the upstream source has a clear reference to it as a dependency. Therefore since we're using xerces-j2 we should have always provided the xml-commons-apis and it is technically correct to provide it even in OS versions were we had not previously seen a NoClassDefFound error related to the xml-commons-apis.jar contents because it is a defined dependency.

Comment 1 John Dennis 2011-02-25 13:55:16 UTC
Created attachment 480999 [details]
provide xml-commons-apis.jar to webapp classloader

Comment 2 John Dennis 2011-03-01 23:05:15 UTC
Sending        base/setup/pkicreate
Transmitting file data .
Committed revision 1874.


Note You need to log in before you can comment on or make changes to this bug.